Bug 1723030 - Request the rpm "pcsc-lite-acsccid", EID card reader driver
Summary: Request the rpm "pcsc-lite-acsccid", EID card reader driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-lite
Version: 30
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1725840
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-22 08:17 UTC by MicMor
Modified: 2019-07-23 01:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 01:07:40 UTC
Type: Bug


Attachments (Terms of Use)
source ACS unified driver (456.96 KB, application/zip)
2019-06-22 08:17 UTC, MicMor
no flags Details

Description MicMor 2019-06-22 08:17:50 UTC
Created attachment 1583416 [details]
source ACS unified driver

Description of problem:

Request the rpm "pcsc-lite-acsccid" , EID (Belgium) card reader driver 


This driver is essential to operate ACS card readers with firefox, thunderbird, chrome and to authenticate on different WEB sites.

This driver replaces for ACS drives, the old ACS drivers (libacr38u)



Version-Release number of selected component (if applicable):

1.1.6


Additional info:

source: https://www.acs.com.hk/download-driver-unified/10422/ACS-Unified-Driver-Lnx-Mac-116-P.zip

Comment 1 MicMor 2019-06-22 08:22:30 UTC
I forgot the essential, Hello and a very big thank you in advance.

All my excuses

Comment 2 Jakub Jelen 2019-06-24 08:17:55 UTC
Hello,
I do see this as a new package review request for Fedora. I do not see this as a good idea to bundle this inside of pcsc-lite nor the base pcsc-lite-ccid. Fast check of the sources looks like the driver is released as a open source with sensible license so it should not be a problem.

Ideally, if you would like to participate in Fedora, it would be nice if you could learn how to create a new package for Fedora and submit it for a review [1]. Otherwise, I can have a look into that in coming weeks.

[1] https://fedoraproject.org/wiki/Package_Review_Process

Comment 3 MicMor 2019-06-24 12:10:12 UTC
my English being very limited, I will start by reading the instructions properly and trying to understand them. Otherwise, nice challenge for me.

Comment 4 Jakub Jelen 2019-06-28 13:11:54 UTC
I created a copr repo with the latest verison of pcsc-lite-acsccid packaged:

https://copr.fedorainfracloud.org/coprs/jjelen/pcsc-lite-acsccid/

Please, give it a try if it works for you. After that, I can submit a new package request to get it to the official Fedora repositories.

Comment 5 MicMor 2019-06-29 10:53:41 UTC
hello,

Thank you. 

Can I test because I saw that the compilation was bad (build false)?

Comment 6 Jakub Jelen 2019-07-01 08:08:02 UTC
The build failed only on EPEL where are probably some dependencies missing. All Fedora versions builds succeeded:

https://copr.fedorainfracloud.org/coprs/jjelen/pcsc-lite-acsccid/monitor/

Comment 7 MicMor 2019-07-01 12:49:01 UTC
It is Ok for me.

Installed without problem. The ACS ACR-38U card reader is operational.

Comment 8 MicMor 2019-07-01 12:49:57 UTC
Thank you for your works.

Comment 9 Fedora Update System 2019-07-10 15:51:28 UTC
FEDORA-2019-013545bc3b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-013545bc3b

Comment 10 Fedora Update System 2019-07-11 00:50:44 UTC
pcsc-lite-acsccid-1.1.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-013545bc3b

Comment 11 Fedora Update System 2019-07-23 01:07:40 UTC
pcsc-lite-acsccid-1.1.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.